#### Description:

This function copies all entries from one KeyMap into another.

#### Synopsis

void astMapCopy( AstKeyMap ∗this, AstKeyMap ∗that )

#### Parameters:

##### this

Pointer to the destination KeyMap.

##### that

Pointer to the source KeyMap.

#### Notes:

- Entries from the source KeyMap will replace any existing entries in the destination KeyMap that have the same key.

- The one exception to the above rule is that if a source entry contains a scalar KeyMap entry, and the destination contains a scalar KeyMap entry with the same key, then the source KeyMap entry will be copied into the destination KeyMap entry using this function, rather than simply replacing the destination KeyMap entry.

- If the destination entry has a non-zero value for its MapLocked attribute, then an error will be reported if the source KeyMap contains any keys that do not already exist within the destination KeyMap.

Copyright (C) 2021 East Asian Observatory